summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author slakmagik <jsunATfreeshellDOTorg>2010-05-13 00:58:21 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:58:21 +0200
commite1ccf0fd7156ee4c4550f1785382eeb41727f9f5 (patch)
tree9fc2ba279c2c832980b799d5f8cbba92d8c03f28 /graphics
parentc9f5f96432c871834baef45c1fead2e80ba3c88e (diff)
downloadslackbuilds-e1ccf0fd7156ee4c4550f1785382eeb41727f9f5.tar.gz
slackbuilds-e1ccf0fd7156ee4c4550f1785382eeb41727f9f5.tar.xz
graphics/mtpaint: Added to 13.0 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/mtpaint/README18
-rw-r--r--graphics/mtpaint/doinst.sh3
-rw-r--r--graphics/mtpaint/mtpaint.SlackBuild100
-rw-r--r--graphics/mtpaint/mtpaint.info10
-rw-r--r--graphics/mtpaint/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/graphics/mtpaint/README b/graphics/mtpaint/README
new file mode 100644
index 0000000000..8838906a9e
--- /dev/null
+++ b/graphics/mtpaint/README
@@ -0,0 +1,18 @@
+mtPaint is a painting program which Mark Tyler developed from scratch so he
+could easily create pixel art and manipulate digital photos.
+
+It uses the GTK+ toolkit (version 1 or 2) and runs on PC's via the GNU/Linux or
+Windows operating systems. Due to its efficient design it can run on older PC
+hardware (e.g. a 200MHz CPU and 16MB of free RAM).
+
+mtPaint is free software, which means you are able to freely use, modify and
+distribute it according to the GNU General Public License.
+
+Currently mtPaint is maintained by Dmitry Groshev.
+
+If you want internationalization, pass INTL=yes to the SlackBuild.
+If you want this built as a gtk1 app, pass GTK1=yes; else it will be gtk2.
+If you want gtk{1,2} widgets then pass TKWIDGETS=yes; else it will use its own
+file and color selector widgets.
+If you want the handbook installed (about a three meg html book) then pass
+HANDBOOK=yes.
diff --git a/graphics/mtpaint/doinst.sh b/graphics/mtpaint/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/mtpaint/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/mtpaint/mtpaint.SlackBuild b/graphics/mtpaint/mtpaint.SlackBuild
new file mode 100644
index 0000000000..df53fd337a
--- /dev/null
+++ b/graphics/mtpaint/mtpaint.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for mtpaint
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=mtpaint
+VERSION=${VERSION:-3.31}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+if [[ $GTK1 == yes ]]; then
+ GTK1=gtk1
+fi
+if [[ $TKWIDGETS == yes ]]; then
+ TKWIDGETS="gtkfilesel gtkcolsel"
+fi
+if [[ $INTL == yes ]]; then
+ INTL=intl
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure cflags man $GTK1 $TKWIDGETS $INTL \
+ --prefix=/usr \
+ --mandir=/usr/man/man1 \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make DESTDIR=$PKG install
+(cd $PKG/usr/bin && ln -s mtpaint mtv)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do ln -s $(readlink $i).gz $i.gz; rm $i; done
+)
+
+# go ahead and make this in case the handbook is skipped
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+if [[ $HANDBOOK == yes ]]; then
+ unzip $CWD/${PRGNAM}_handbook-$VERSION.zip
+ cd ${PRGNAM}_handbook-$VERSION
+ chown -R root:root .
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+ make DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION install
+fi
+
+cp -a [CNR]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/mtpaint/mtpaint.info b/graphics/mtpaint/mtpaint.info
new file mode 100644
index 0000000000..0d507a2e22
--- /dev/null
+++ b/graphics/mtpaint/mtpaint.info
@@ -0,0 +1,10 @@
+PRGNAM="mtpaint"
+VERSION="3.31"
+HOMEPAGE="http://mtpaint.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mtpaint/mtpaint-3.31.tar.bz2 http://downloads.sourceforge.net/mtpaint/mtpaint_handbook-3.31.zip"
+MD5SUM="fbe34eb25f96b6092403115f1f6ab387 40de347afa76e869f8251eb6134c3065"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="slakmagik"
+EMAIL="jsunATfreeshellDOTorg"
+APPROVED="dsomero"
diff --git a/graphics/mtpaint/slack-desc b/graphics/mtpaint/slack-desc
new file mode 100644
index 0000000000..9471d659b9
--- /dev/null
+++ b/graphics/mtpaint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mtpaint: mtPaint (Mark Tyler's Painting Program)
+mtpaint:
+mtpaint: mtPaint is a GTK+1/2 based painting program designed for creating
+mtpaint: icons and pixel based artwork. It can edit indexed palette or 24 bit
+mtpaint: RGB images and offers painting and palette manipulation tools.
+mtpaint:
+mtpaint: Homepage: http://mtpaint.sourceforge.net/
+mtpaint:
+mtpaint:
+mtpaint:
+mtpaint: